package info.bukova.isspst.signapi;

import java.io.Serializable;
import java.util.Date;

/**
 * @author Pepa Rokos
 */
public class SignData implements Serializable {

	private byte[] pdfData;
	private byte[] signImg;
	private int areaId;
	private Date signDate;
	private String description;
	private String numser;
	private boolean signed;
	private String signGuid;
	private boolean signSuccess;

	public byte[] getPdfData() {
		return pdfData;
	}

	public void setPdfData(byte[] pdfData) {
		this.pdfData = pdfData;
	}

	public Date getSignDate() {
		return signDate;
	}

	public void setSignDate(Date signDate) {
		this.signDate = signDate;
	}

	public String getNumser() {
		return numser;
	}

	public void setNumser(String numser) {
		this.numser = numser;
	}

	public String getDescription() {
		return description;
	}

	public void setDescription(String description) {
		this.description = description;
	}

	public boolean isSigned() {
		return signed;
	}

	public void setSigned(boolean signed) {
		this.signed = signed;
	}

	public String getSignGuid() {
		return signGuid;
	}

	public void setSignGuid(String signGuid) {
		this.signGuid = signGuid;
	}

	public boolean isSignSuccess() {
		return signSuccess;
	}

	public void setSignSuccess(boolean signSuccess) {
		this.signSuccess = signSuccess;
	}

	public byte[] getSignImg() {
		return signImg;
	}

	public void setSignImg(byte[] signImg) {
		this.signImg = signImg;
	}

	public int getAreaId() {
		return areaId;
	}

	public void setAreaId(int areaId) {
		this.areaId = areaId;
	}
}
